Wondering what’s next for npm?Check out our public roadmap! »

    @patternfly/react-code-editor
    TypeScript icon, indicating that this package has built-in type declarations

    4.2.18 • Public • Published

    @patternfly/react-code-editor

    This package provides a PatternFly wrapper for the Monaco code editor

    Prerequisite

    Node Environment

    This project currently supports Node Active LTS releases. Please stay current with Node Active LTS when developing patternfly-react.

    For example, to develop with Node 8, use the following:

    nvm install 8
    nvm use 8
    

    This project also requires a Yarn version of >=1.6.0. The latest version can be installed here.

    Installing

    yarn add @patternfly/react-code-editor
    

    or

    npm install @patternfly/react-code-editor --save
    

    Usage

    Pre-requisites

    It's strongly advised to use the PatternFly Base CSS in your whole project, or some components may diverge in appearance:

    import '@patternfly/react-core/dist/styles/base.css';
    import { CodeEditor } from '@patternfly/react-code-editor';

    Documentation

    This project uses Gatsby. For an overview of the project structure please refer to the Gatsby documentation - Building with Components.

    A comprehensive list of components and detailed usage of each can be found on the PatternFly React Docs website You can also find how each component is meant to be used from a design perspective on the PatternFly 4 Core website.

    Note: All commands below assume you are on the root directory in this repository.

    Install

    Run to install all the dependencies

    yarn && yarn bootstrap && yarn build && yarn build:docs

    Running

    To start the site locally.

    yarn build && yarn start:pf4

    Building

    To build the site.

    yarn build:docs

    Contributing Components

    This library makes use of the babel plugin from @patternfly/react-styles to enable providing the CSS alongside the components. This removes the need for consumers to use (style|css|sass)-loaders. For any CSS not provided by core please use the StyleSheet.create utility from @patternfly/react-styles. This will prevent collisions with any consumers, and allow the CSS to be bundled with the component.

    Building

    yarn build
    

    Note the build scripts for this are located in the root package.json under yarn build.

    Install

    npm i @patternfly/[email protected]

    Version

    4.2.18

    License

    MIT

    Unpacked Size

    108 kB

    Total Files

    49

    Last publish

    Collaborators

    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar